package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TaGoodsMapper;
import com.huiju.welcome.mapper.TaGoodsSpecMapper;
import com.huiju.welcome.model.TaGoods;
import com.huiju.welcome.model.TaGoodsSpec;
import com.huiju.welcome.service.ITaGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TaGoodsServiceImpl extends ServiceImpl<TaGoodsMapper, TaGoods> implements ITaGoodsService {

    @Autowired
    private TaGoodsMapper taGoodsMapper;
    @Autowired
    private TaGoodsSpecMapper taGoodsSpecMapper;

    @Override
    public ResponseBean goodsList(IPage<TaGoods> pg, String goodsName, Integer typeId) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TaGoods> list= taGoodsMapper.goodsList(pg,goodsName,typeId);
        List<TaGoods> goodsList = list.getRecords();
        List<Integer>idList = new ArrayList<>();
        for(int i=0;i<goodsList.size();i++){
            idList.add(goodsList.get(i).getGoodsId());
        }
        List<TaGoodsSpec> specList = new ArrayList<>();
        specList = taGoodsSpecMapper.selectGoodsSpecBatchIds(idList);
        for(int j =0;j<goodsList.size();j++){
            List<TaGoodsSpec> thisSpec = new ArrayList<>();
            for (int h = 0;h<specList.size();h++){
                if (goodsList.get(j).getGoodsId().equals(specList.get(h).getGoodsId())){
                    thisSpec.add(specList.get(h));
                }
            }
            goodsList.get(j).setSpecList(thisSpec);
        }

        responseBean.addSuccess(list);
        return responseBean;
    }
}
